View Issue Details

IDProjectCategoryView StatusLast Update
0034783FPCMiscpublic2020-01-21 14:12
ReporterJ. Gareth Moreton Assigned To 
PrioritylowSeveritytrivialReproducibilityN/A
Status closedResolutionfixed 
Platformx86_64OSMicrosoft Windows 
Product Version3.3.1 
Target Version3.3.1Fixed in Version3.3.1 
Summary0034783: [Test] New tests for bcase.pp
DescriptionThis file introduces some new tests for bcase.pp to give better coverage of the improvements as made in 0034762.
Steps To ReproduceExtract bcase.zip under tests/bench, replacing bcase.pp, then run and confirm that all tests pass.
Additional InformationNew tests involve more situations where negative numbers are concerned, single branches that consist of a range rather than a single value, and also a rare construct (but which appears at least once in the compiler itself) where the case nodes contain goto statements.

All tests contain time measurements so it is still a good bench test.
TagsNo tags attached.
Fixed in Revision40710
FPCOldBugId0
FPCTarget-
Attached Files

Relationships

child of 0034762 resolvedFlorian [Patch] Speed improvement in case blocks 

Activities

J. Gareth Moreton

2018-12-30 23:01

developer  

bcase.zip (11,207 bytes)

Florian

2019-01-01 01:15

administrator   ~0113055

Added slighly modified.

J. Gareth Moreton

2020-01-21 14:12

developer   ~0120601

Issue resolved.

Issue History

Date Modified Username Field Change
2018-12-30 23:01 J. Gareth Moreton New Issue
2018-12-30 23:01 J. Gareth Moreton File Added: bcase.zip
2018-12-30 23:02 J. Gareth Moreton Priority normal => low
2018-12-30 23:02 J. Gareth Moreton Severity minor => trivial
2018-12-30 23:02 J. Gareth Moreton Relationship added child of 0034762
2019-01-01 01:15 Florian Fixed in Revision => 40710
2019-01-01 01:15 Florian Note Added: 0113055
2019-01-01 01:15 Florian Status new => resolved
2019-01-01 01:15 Florian Fixed in Version => 3.3.1
2019-01-01 01:15 Florian Resolution open => fixed
2019-01-01 01:15 Florian Assigned To => Florian
2020-01-21 14:12 J. Gareth Moreton Assigned To Florian =>
2020-01-21 14:12 J. Gareth Moreton Status resolved => closed
2020-01-21 14:12 J. Gareth Moreton FPCTarget => -
2020-01-21 14:12 J. Gareth Moreton Note Added: 0120601